#include <stdio.h>
#include <algorithm>
#include <string.h>

using namespace std;

int main() {
    char a[20], b[20], c[20];
    scanf("%s %s %s", &a, &b, &c);

    char s[7][60];
    strcpy(s[0], a); strcat(strcat(s[0],b), c);
    strcpy(s[1], a); strcat(strcat(s[1],c), b);
    strcpy(s[2], b); strcat(strcat(s[2],c), a);
    strcpy(s[3], b); strcat(strcat(s[3],a), c);
    strcpy(s[4], c); strcat(strcat(s[4],a), b);
    strcpy(s[5], c); strcat(strcat(s[5],b), a);
    char sm[60]; strcpy(sm, s[0]);

    if(strcmp(sm, s[1]) < 0) strcpy(sm, s[1]);
    if(strcmp(sm, s[2]) < 0) strcpy(sm, s[2]);
    if(strcmp(sm, s[3]) < 0) strcpy(sm, s[3]);
    if(strcmp(sm, s[4]) < 0) strcpy(sm, s[4]);
    if(strcmp(sm, s[5]) < 0) strcpy(sm, s[5]);
    puts(sm);
}